Update Draft
curl --request PATCH \
--url https://api.ontora.com/v1/campaign-creation/{interview_id}/draft \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"goal": "<string>",
"project_context": "<string>",
"interview_context_for_employee": "<string>",
"invitation_email_message": "<string>",
"teams_invitation_message": "<string>",
"agent_profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channel": "<string>",
"join_link_delivery": true,
"interview_duration_minutes": 123,
"interview_type": "<string>",
"default_language": "<string>",
"voice_id": "<string>",
"voice_speed": 123,
"voice_provider": "<string>",
"voice_language": "<string>",
"participant_voice_selection_enabled": true,
"participant_mode_selection_enabled": true,
"participant_language_selection_enabled": true,
"participant_anonymity_selection_enabled": true,
"participant_review_enabled": true,
"result_summary_enabled": true,
"welcome_screen": "<string>",
"closing_message": "<string>",
"recurring_interval": "<string>",
"timeframe_start": "2023-11-07T05:31:56Z",
"timezone": "<string>",
"timeframe_end": "2023-11-07T05:31:56Z",
"quick_mode_hours": 123,
"scheduling_mode": "<string>",
"start_immediately": true,
"followup_enabled": true,
"followup_strategy": "<string>",
"followup_intervals_hours": [
123
],
"followup_deadline_days": [
123
],
"followup_message": "<string>",
"is_anonymous": true,
"anonymity_level": "<string>",
"draft_guide": [
{}
]
}
'import requests
url = "https://api.ontora.com/v1/campaign-creation/{interview_id}/draft"
payload = {
"name": "<string>",
"description": "<string>",
"goal": "<string>",
"project_context": "<string>",
"interview_context_for_employee": "<string>",
"invitation_email_message": "<string>",
"teams_invitation_message": "<string>",
"agent_profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channel": "<string>",
"join_link_delivery": True,
"interview_duration_minutes": 123,
"interview_type": "<string>",
"default_language": "<string>",
"voice_id": "<string>",
"voice_speed": 123,
"voice_provider": "<string>",
"voice_language": "<string>",
"participant_voice_selection_enabled": True,
"participant_mode_selection_enabled": True,
"participant_language_selection_enabled": True,
"participant_anonymity_selection_enabled": True,
"participant_review_enabled": True,
"result_summary_enabled": True,
"welcome_screen": "<string>",
"closing_message": "<string>",
"recurring_interval": "<string>",
"timeframe_start": "2023-11-07T05:31:56Z",
"timezone": "<string>",
"timeframe_end": "2023-11-07T05:31:56Z",
"quick_mode_hours": 123,
"scheduling_mode": "<string>",
"start_immediately": True,
"followup_enabled": True,
"followup_strategy": "<string>",
"followup_intervals_hours": [123],
"followup_deadline_days": [123],
"followup_message": "<string>",
"is_anonymous": True,
"anonymity_level": "<string>",
"draft_guide": [{}]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
goal: '<string>',
project_context: '<string>',
interview_context_for_employee: '<string>',
invitation_email_message: '<string>',
teams_invitation_message: '<string>',
agent_profile_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
channel: '<string>',
join_link_delivery: true,
interview_duration_minutes: 123,
interview_type: '<string>',
default_language: '<string>',
voice_id: '<string>',
voice_speed: 123,
voice_provider: '<string>',
voice_language: '<string>',
participant_voice_selection_enabled: true,
participant_mode_selection_enabled: true,
participant_language_selection_enabled: true,
participant_anonymity_selection_enabled: true,
participant_review_enabled: true,
result_summary_enabled: true,
welcome_screen: '<string>',
closing_message: '<string>',
recurring_interval: '<string>',
timeframe_start: '2023-11-07T05:31:56Z',
timezone: '<string>',
timeframe_end: '2023-11-07T05:31:56Z',
quick_mode_hours: 123,
scheduling_mode: '<string>',
start_immediately: true,
followup_enabled: true,
followup_strategy: '<string>',
followup_intervals_hours: [123],
followup_deadline_days: [123],
followup_message: '<string>',
is_anonymous: true,
anonymity_level: '<string>',
draft_guide: [{}]
})
};
fetch('https://api.ontora.com/v1/campaign-creation/{interview_id}/draft', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}campaign-creation
Update Draft
Manually update the draft interview configuration.
PATCH
/
v1
/
campaign-creation
/
{interview_id}
/
draft
Update Draft
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Maximum string length:
4000Maximum string length:
4000Response
Successful Response
Was this page helpful?